#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define	pdir	B
%define	pnam	Keywords
Summary:	B::Keywords - Lists of reserved barewords and symbol names
Summary(pl.UTF-8):	B::Keywords - lista zarezerwowanych słów kluczowych i nazw symboli
Name:		perl-B-Keywords
Version:	1.20
Release:	1%{?tld}
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/B/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c26c461160f05994e677a9a0a70b7a03
URL:		http://search.cpan.org/dist/B-Keywords/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

%description -l pl.UTF-8
B::Keywords udostępnia siedem tablic słów kluczowych: @Scalars,
@Arrays, @Hashes, @Filehandles, @Symbols, @Functions i @Barewords.
Tablica @Symbols obejmuje zawartość każdej z tablic @Scalars,
@Arrays, @Hashes i @Filehandles. Podobnie @Barewords dodaje do
tablicy @Functions kilka słów kluczowych nie będących funkcjami oraz
operatorów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/B/Keywords.pm
%{_mandir}/man3/B::Keywords.3pm*
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-B-Keywords.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b627711
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 85142bc
- up to 1.20

* Tue Nov 15 2016 Jakub Bogusz <qboosh@pld-linux.org> b86e728
- updated to 1.15

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 16de054
- up to 1.11

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> f0b6980
- updated to 1.10

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 556c163
- updated to 1.09

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 3b8d476
- up to 1.08

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 10ab149
- pl

* Tue Mar 27 2007 radek <radek@pld-linux.org> d7e804e
- new

